ATA_DOWN_XFERMASK_LI(9)

NAME
ata_down_xfermask_limit - adjust dev xfer masks downward

SYNOPSIS

int ata_down_xfermask_limit(struct ata_device * dev, unsigned int sel);

ARGUMENTS

dev
    Device to adjust xfer masks

sel
    ATA_DNXFER_* selector

DESCRIPTION

Adjust xfer masks of dev downward. Note that this function does not apply the change. Invoking ata_set_mode afterwards will apply the limit.

LOCKING

Inherited from caller.

RETURNS

0 on success, negative errno on failure

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT